### Constructor

# Gtk TreeListRowSorternew

#### Declaration [src]

    GtkTreeListRowSorter*
    gtk_tree_list_row_sorter_new (
      GtkSorter* sorter
    )

#### Description [src]

Create a special-purpose sorter that applies the sorting of `sorter` to the levels of a `GtkTreeListModel`.

Note that this sorter relies on `GtkTreeListModel:passthrough` being `FALSE` as it can only sort `GtkTreeListRow`s.

#### Parameters

`sorter`

  Type: `GtkSorter`

  A `GtkSorter`

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `GtkTreeListRowSorter`

A new `GtkTreeListRowSorter`

The caller of the function takes ownership of the data, and is responsible for freeing it.